com.jscape.inet.pop

## Class PopAdapter

- java.lang.Object
- - com.jscape.inet.pop.PopAdapter

- All Implemented Interfaces:
    PopListener, java.util.EventListener

      public class PopAdapter
      extends java.lang.Object
      implements PopListener

  Implements methods for capturing events sourced from Pop class. This class is intended to provide vertical compatibility with PopListener interface. Typicaly your application will use this class instead of PopListener interface to capture the following events :
  PopConnectedEvent
  PopDisconnectedEvent
  PopCommandEvent
  PopResponseEvent
  PopMessageEvent
  PopMessageProgressEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commandSent(PopCommandEvent event)` Invoked when command is sent to the POP3 server.
    `void` | `connected(PopConnectedEvent event)` Invoked when connection to POP3 server is established.
    `void` | `disconnected(PopDisconnectedEvent event)` Invoked when connection to POP3 server is released.
    `void` | `messageRetrieved(PopMessageEvent event)` Invoked when message is retrieved from POP3 server.
    `void` | `progress(PopMessageProgressEvent event)` Invoked frequently during the download process of a message from POP server.
    `void` | `responseReceived(PopResponseEvent event)` Invoked when a response is received from POP3 server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopAdapter

          public PopAdapter()

  - ### Method Detail

    - #### connected

          public void connected(PopConnectedEvent event)

      Invoked when connection to POP3 server is established.
      Specified by:
        `connected` in interface `PopListener`
      Parameters:
        `event` - a `PopConnectedEvent`
      See Also:
        `PopConnectedEvent`

    - #### disconnected

          public void disconnected(PopDisconnectedEvent event)

      Invoked when connection to POP3 server is released.
      Specified by:
        `disconnected` in interface `PopListener`
      Parameters:
        `event` - a `PopDisconnectedEvent`
      See Also:
        `PopDisconnectedEvent`

    - #### messageRetrieved

          public void messageRetrieved(PopMessageEvent event)

      Invoked when message is retrieved from POP3 server.
      Specified by:
        `messageRetrieved` in interface `PopListener`
      Parameters:
        `event` - a `PopMessageEvent`
      See Also:
        `PopMessageEvent`

    - #### progress

          public void progress(PopMessageProgressEvent event)

      Invoked frequently during the download process of a message from POP server.
      Specified by:
        `progress` in interface `PopListener`
      Parameters:
        `event` - a `PopMessageProgressEvent`
      See Also:
        `PopMessageProgressEvent`

    - #### commandSent

          public void commandSent(PopCommandEvent event)

      Invoked when command is sent to the POP3 server.
      Specified by:
        `commandSent` in interface `PopListener`
      Parameters:
        `event` - a `PopCommandEvent`
      See Also:
        `PopCommandEvent`

    - #### responseReceived

          public void responseReceived(PopResponseEvent event)

      Invoked when a response is received from POP3 server.
      Specified by:
        `responseReceived` in interface `PopListener`
      Parameters:
        `event` - a `PopResponseEvent`
      See Also:
        `PopResponseEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved